Perl 6 - the future is here, just unevenly distributed

IRC log for #perl11, 2014-04-01

| Channels | #perl11 index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
00:35 rurban1 joined #perl11
01:02 rurban1 joined #perl11
02:03 rurban1 joined #perl11
02:52 rurban1 joined #perl11
04:02 Will_the_Chill joined #perl11
05:11 rurban1 joined #perl11
06:12 rurban1 joined #perl11
07:03 basiliscos joined #perl11
07:13 rurban1 joined #perl11
08:14 rurban1 joined #perl11
09:15 rurban1 joined #perl11
10:16 rurban1 joined #perl11
11:17 rurban1 joined #perl11
12:18 rurban1 joined #perl11
13:18 rurban1 joined #perl11
13:56 renormalist joined #perl11
14:01 rurban1 joined #perl11
14:03 bluescreen joined #perl11
14:37 bluescreen_ joined #perl11
18:53 acanfora joined #perl11
19:31 Will_the_Chill joined #perl11
19:38 rurban1 joined #perl11
20:01 rurban1 joined #perl11
20:44 rurban1 joined #perl11
20:53 mirjam joined #perl11
21:39 acanfora joined #perl11
21:40 acanfora Hello
21:43 bluescreen_ joined #perl11
21:49 Will_the_Chill acanfora: howdy!
21:49 Will_the_Chill I'm glad to chat with you, Anselmo.  :)
21:50 acanfora me too  :)
21:50 acanfora yesterday I did some tests with perl 5.14.4 and 5.18.2
21:51 acanfora was just sending a mail about it
21:51 acanfora I got errors with 5.18.2 too, probably did some mistake in environment configuration
21:52 acanfora will try again with perlbrew
21:52 acanfora btw, why should we use perlbrew only for 5.14?
21:53 rurban BTW: It has nothing to do with the perlversion, only with the compiler flags
21:54 rurban Inline::CPP needs to strip C compiler flags which prevent them from being used with stdc++
21:55 Will_the_Chill acanfora: we only found problems with v5.14 so we needed to use Perlbrew for v5.14 and can use much simpler local::lib for other Perl versions
21:56 Will_the_Chill rurban: why is this only affecting v5.14?
21:57 Will_the_Chill acanfora: I see your e-mail, you were trying to manually compile Perl with some specific compiler flags, using my install notes methodology I have not seen the need to manually configure any special compiler flags
21:57 acanfora I did  a local lib conf for 5.18.2 and failed to build successfully
21:57 acanfora so, just give it -des ?
21:58 Will_the_Chill acanfora: you should not be giving ANY compiler flags manually
21:58 Will_the_Chill what methodology are you using that leads you to a situation where you are proving compiler flags?
21:58 Will_the_Chill my install notes methodology does not seem to be what you are doing?
21:59 acanfora I tried to do that yesterday, before to see the new procedure
21:59 Will_the_Chill oh okay
21:59 acanfora in order to test 5.14 and last version compiled my perl version the "traditional" way
22:00 Will_the_Chill I understand, we are not using traditional way to compile Perl
22:00 Will_the_Chill good try though!  :)
22:00 acanfora then called cpanm with new interpreter
22:00 Will_the_Chill I'm sure it could work, I just don't want to bother with it now
22:00 Will_the_Chill it is too much effort, we should use local::lib or perlbrew instead
22:00 acanfora I agree, we have to focus on things
22:01 Will_the_Chill acanfora: do you have time now to follow my install notes and see if all tests pass?
22:01 acanfora yes, will do for 5.18.2
22:01 acanfora for 5.14 we already know it won't
22:02 acanfora btw, why not perlbrew for testing all versions? (system perl excluded)
22:02 acanfora btw, why not use perlbrew for testing all versions? (system perl excluded)
22:03 Will_the_Chill yes we can use perlbrew for testing more versions later
22:03 Will_the_Chill local::lib is fine for using system perl except not v5.14
22:03 Will_the_Chill using local::lib is MUCH simpler and faster than perlbrew
22:04 Will_the_Chill I did not want to use perlbrew at all but we have no choice because v5.14 is messed up
22:07 Will_the_Chill then of course there is Perl::Build for when you only need to build & test one version of Perl, not many versions like Perlbrew
22:07 Will_the_Chill and of course there is rurban's plenv which I'm still not exactly familiar with
22:07 Will_the_Chill and also another one called perlall
22:07 Will_the_Chill TOO MANY OPTIONS!  ;)
22:08 Will_the_Chill I have tested RPerl w/ local::lib and perlbrew, so those 2 are enough for now
22:08 Will_the_Chill and we haven't even put RPerl onto CPAN yet!
22:10 acanfora :)
22:10 acanfora well, we have to complete it, first  :)
22:31 acanfora btw: re/pat_advanced_thr.t ............................................. skipped: no ithreads
22:32 acanfora it seems that perlbrew compiles without ithreads
22:33 acanfora (in default conf)
22:40 rurban Will_the_Chill: your 5.14 has a gcc with a special warning. But it could be any perl version with those flags.
22:43 acanfora btw, which TZ are you? Austin - 17:43 now, right?
22:54 mirjam joined #perl11
23:11 Will_the_Chill yes austin
23:11 Will_the_Chill sorry busy
23:16 acanfora no prob
23:16 acanfora rperl tests just failed on perlbrew 5.18.2
23:16 Will_the_Chill dang
23:17 Will_the_Chill more info?
23:17 Will_the_Chill did you exactly follow my install notes?
23:18 rurban1 joined #perl11
23:24 mirjam joined #perl11
23:37 Will_the_Chill rperl tests passed form me using v5.18.2 on ubuntu v13.10 using my perlbrew method

| Channels | #perl11 index | Today | | Search | Google Search | Plain-Text | summary